This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293425 - Review Request: python-ImcSdk - python lib for CRUD operations on Cisco IMC
Review Request: python-ImcSdk - python lib for CRUD operations on Cisco IMC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 13:16 EST by Brian Demers
Modified: 2016-01-28 19:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 19:23:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Brian Demers 2015-12-21 13:16:33 EST
Spec URL: https://bdemers.fedorapeople.org/python-ImcSdk.spec
SRPM URL: https://bdemers.fedorapeople.org/python-ImcSdk-0.7.2-1.fc24.src.rpm

Description: 
Python SDK for Cisco Ucs IMC

Note: This is a stand alone lib, but of note, it will be consumed by a OpenStack Ironic plugin.

Fedora Account System Username: bdemers
Comment 1 Julien Enselme 2016-01-09 08:40:08 EST
- Remove upstream's egg-info
- You may add the docs folder to your package
- You should launch the tests in the %check section
- You only packaged the app for python2, however, I don't see any restriction on python version. Please add python3.
- According to the guidelines, you must put the python2 in its own subpackage. You must also use the new python macros. See https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 29 files have unknown
     license. Detailed output of licensecheck in /tmp/1293425-python-
     ImcSdk/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-ImcSdk-0.7.2-1.fc24.noarch.rpm
          python-ImcSdk-0.7.2-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-ImcSdk (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-ImcSdk:
    python-ImcSdk



Source checksums
----------------
https://pypi.python.org/packages/source/I/ImcSdk/ImcSdk-0.7.2.tar.gz :
  CHECKSUM(SHA256) this package     : 22e461bb3ef5fc1ad23f4395e62c1d150e0603e96503a4717801fd40ae96a188
  CHECKSUM(SHA256) upstream package : 22e461bb3ef5fc1ad23f4395e62c1d150e0603e96503a4717801fd40ae96a188


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1293425
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Brian Demers 2016-01-11 17:12:40 EST
Based on review I have:
- Removed the egg-info from the tarball
- regenerated sphinx doc (https://github.com/CiscoUcs/ImcSdk/issues/4) and included doc dir in the package
- added a TODO about the %check section (current source tarball does not properly run tests), and the current tests do nothing.
- Created sub-package for python2, (to allow for python3 package) current source is not supported on python3 yet
Comment 4 Julien Enselme 2016-01-12 03:00:08 EST
Almost good. I have two rpmlint warnings that in my opinion should be fixed:

- python-ImcSdk.src: W: file-size-mismatch ImcSdk-0.7.2.tar.gz = 141141, https://pypi.python.org/packages/source/I/ImcSdk/ImcSdk-0.7.2.tar.gz = 141140. Can you please check the tarball you included in the SRPM?

- python2-ImcSdk.noarch: W: doc-file-dependency /usr/share/doc/python2-ImcSdk/docs/conf.py /usr/bin/env. I believe this is the configuration file for sphinx. I don't think we need to install it.
Comment 5 Brian Demers 2016-01-12 13:10:30 EST
Spec URL: https://bdemers.fedorapeople.org/python-ImcSdk/3/python-ImcSdk.spec
SRPM URL: https://bdemers.fedorapeople.org/python-ImcSdk/3/python-ImcSdk-0.7.2-3.fc24.src.rpm

I'm not sure what happened with the tarball, should be fixed now though, also removed the doc's conf.py
Comment 6 Julien Enselme 2016-01-12 13:34:11 EST
Looks good. Approved.
Comment 7 Gwyn Ciesla 2016-01-12 18:28:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-ImcSdk
Comment 8 Fedora Update System 2016-01-14 10:43:21 EST
python-ImcSdk-0.7.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2f4a8e068f
Comment 9 Fedora Update System 2016-01-14 10:45:03 EST
python-ImcSdk-0.7.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4128e0bf08
Comment 10 Fedora Update System 2016-01-15 04:22:49 EST
python-ImcSdk-0.7.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2f4a8e068f
Comment 11 Fedora Update System 2016-01-15 13:53:13 EST
python-ImcSdk-0.7.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4128e0bf08
Comment 12 Fedora Update System 2016-01-28 19:23:15 EST
python-ImcSdk-0.7.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.